image: lordchou/levant:v1.0.0
services:
  - docker:dind

variables:
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay

stages:
  - build
  - deploy

docker-build:
  stage: build
  script:
    - image=$(yq r resources/config.yaml application.image)
    - tag=$(yq r resources/config.yaml application.tag)
    - docker build -t $DOCKER_USERNAME/$image:$tag .
    - echo `echo $DOCKER_PASSWORD | base64 -d` | docker login -u $DOCKER_USERNAME --password-stdin
    - docker push $DOCKER_USERNAME/$image:$tag